1. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    961
    Country:
    Spain
    For separate nsps use split mode (mode 3). Ok. I'm correcting the link didn't understood were Phoenix meant it was wrong.

    — Posts automatically merged - Please don't double post! —

    The issue with NBA is that it goes above 32gb wich currently don't exist so I don't really know if Horizon can't support them or is a SX OS issue. I tested wich would supposedly be the 64gb flags without success and the error is exactly the same as when 32gb cartridges weren't supported by SX OS.
    It's possible NBA can be merged in a dirty way by merging game and update with hactool and creating a custom nsp. Though that won't be updatable.

    — Posts automatically merged - Please don't double post! —

    Ok now the link it's fine. Needed to paste it back as plain-text.
     
    Last edited by JRoad, Dec 13, 2018
    isoisoiso likes this.
  2. LittleJ0hn

    LittleJ0hn Newbie
    Newcomer

    Joined:
    Aug 28, 2018
    Messages:
    3
    Country:
    France
    If wand to install base NSP and then latest update NSP, there is no need to keep deltas in update, right ?
     
  3. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    961
    Country:
    Spain
    No. But you if you have previous update installed you need to uninstall it first so it doesn't stay in your system.
    For example SD to nsp dumper will make update nsp files without deltas.
     
  4. 18Phoenix

    18Phoenix GBAtemp Advanced Fan
    Member

    Joined:
    Nov 21, 2005
    Messages:
    703
    Country:
    Germany
    @JRoad
    Hi. Rocket League works for me aswell, v0 base + v983040 (v1.1.5) update + 19 DLCs
    BUT ... after starting appears error code 2110-111: no connection to internet.
    After closing that comes another message: Please deaktivate the flightmode.
    After confirmation with ok the game starts normal.

    This error appears in one another game that wasn't edited, too.
    Seems to be an error because using 6.2.0 software with 6.1.0 I guess.
     
    Last edited by 18Phoenix, Dec 13, 2018
  5. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    961
    Country:
    Spain
    No that's because of stealth mode it happens with games that want to connect to internet.

    — Posts automatically merged - Please don't double post! —

    So since SX OS 2.4 arrived and all CFW support 6.2 I'll add an option to deactivate the RSV patching prompt in manual mode.
     
    Last edited by JRoad, Dec 13, 2018
    18Phoenix likes this.
  6. Wezaa

    Wezaa GBAtemp Regular
    Member

    Joined:
    Apr 29, 2015
    Messages:
    147
    Country:
    Hi, thank you for this tool, i just have a few questions please.

    does this tool output XCIs are card1 or card2?

    If i put in a card2 XCI, can it convert it to card1?

    will it convert an XCI that has been split into multiple files or will the XCI have to be stitched back together?

    Thank you
     
  7. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    961
    Country:
    Spain
    Yep it builds all as card 1 and no it doesn't put together split xci. I never looked at split xci, though I suppose it's doable.
     
    Wezaa likes this.
  8. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    961
    Country:
    Spain
    Updated to v0.77 with a couple of additions to the previous github's master.
     
    18Phoenix likes this.
  9. Sonics99

    Sonics99 Advanced Member
    Newcomer

    Joined:
    May 17, 2018
    Messages:
    56
    Country:
    United States

    i messaged SXOS about allowing over 32GB directly to see if it was possible. i got a reply saying they would look into it and asking for a test file, which i provided. But then all of the 6.2 chaos happened and I never heard back from them. i assume it's not a priority without a retail cart over that size. Which will probably never happen, but was hoping it was just an oversight or a flag they could set.

    edit: to be fair, it could be a OFW limitation as well.
     
    Last edited by Sonics99, Dec 14, 2018
  10. Saiylem

    Saiylem Member
    Newcomer

    Joined:
    Aug 18, 2011
    Messages:
    21
    Country:
    United States
    So I want to update an xci file manually on my PC instead of installing an nsp or connecting to the internet with my Switch.

    I chose option 2 in NSC, and loaded a trimmed xci of Fire Emblem Warriors and the update nsp. NSC kicks off by saying "XCI DOESN'T HAVE TITLERIGHTS", but continues on and completes.

    After processing them, the resulting xci file tells me I need to update it when trying to play it in SX OS.

    Any idea what is wrong/how to fix it?

    Edit: It seems choosing not to alter the update thing fixes the issue. Will move on to try adding the DLC next.

    Edit 2: The game boots after applying the DLC to it, but it hangs in certain places and doesn't load a few assets of the DLC.
    Is this imperfection common or am I doing something wrong somewhere? Maybe applying the update and all the DLC to the base game at once instead of applying the DLC to an already generated updated xci?
     
    Last edited by Saiylem, Dec 14, 2018
  11. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    961
    Country:
    Spain
    Yeah the thing would be how it's mounted check. I know that there aren't flags for 64gb cards yet. Also I don't know how much xecuter's solution would need them.

    — Posts automatically merged - Please don't double post! —

    I don't know exactly what you did. Did you applied the RSV patch or change the keygeneration? Also in what Firmware are you and wich update number did you use?
    Basically it seems like you need the update and need to apply the RSV patch.
    Also a xci doesn't have titlerights inside unless it has updates with tickets inside. Is just a check and is the normal response.
     
  12. 18Phoenix

    18Phoenix GBAtemp Advanced Fan
    Member

    Joined:
    Nov 21, 2005
    Messages:
    703
    Country:
    Germany
    This error disappeared with SX OS 2.4.
     
  13. Saiylem

    Saiylem Member
    Newcomer

    Joined:
    Aug 18, 2011
    Messages:
    21
    Country:
    United States
    I'm running 6.2 ofw and 2.4 SX OS. I originally tried using the RSV patch with keygen option F (since I'm fully updated), but the game would still tell me it requires an update and wouldn't let me start it on my Switch.
     
  14. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    961
    Country:
    Spain
    Tell me the update number you applied. Also pass the final file trough the info functions and export to text files. Then PM them to me.
    Last update for Fire Emblem Warriors is -> Fire Emblem Warriors [0100F15003E64800][v327680] from what I see.
     
  15. Reploid

    Reploid GBAtemp Advanced Maniac
    Member

    Joined:
    Jan 20, 2010
    Messages:
    1,826
    Country:
    Serbia, Republic of
    Still using it, still the greatest tool ever. I can store games in a single file, XCI and NSP alike, can make shit smaller, can patch packages for lower firmware (reluctant to update). Thanks, dood.

    BTW, I've patched SSBU update 1.02 today (to remove 6.02 requirement), it was 400mb originally and became 100MB after. Could it mean that patches for games contains FW update?
     
  16. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    961
    Country:
    Spain
    Hmm something went wrong there I think, it should be a little smaller with the delta skipping but the update I've got for Smash is 550MB and 410MB without deltas. Deltas are meant to patch and upgrade your update to the next version so you don't need to install the full updates. Proper CDN updates have the full update + deltas.
    The program basically has the option to skip deltas when extracting set by default in the config.

    Compare my info outputs with yours for unmodified update. Because I don't like this at all.

    I also added the ones for the patched v131072 update to 5.X

    It could be an error while running the program but check it well since previous precedents make me doubt that file. If it's malicious code+padding at the end the padding won't get extracted making the file smaller.

    Also, size without deltas: 420.198KB -> 410MB
    size with deltas: 564.092KB -> 550MB
     

    Attached Files:

    Last edited by JRoad, Dec 14, 2018
  17. Saiylem

    Saiylem Member
    Newcomer

    Joined:
    Aug 18, 2011
    Messages:
    21
    Country:
    United States
    I used that update. When I used the RSV patch, I selected to not change the keygen. This is what resulted in my system telling me to update.

    When I got the game to boot, I did it without using the patch.

    The issues didn't come in until I used the NSC Builder to add in the DLC nsp files.
    When I added the DLC files, I again chose Option 2 as I did with the update, and also did not use the RSV patch.
    This resulted in the game booting, but with errors.

    I'll get the info from the final result without patching to you.

    Would you like me to try to process everything with the RSV patch, and then run that file through the info functions as well?
     
  18. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    961
    Country:
    Spain
    Ok, looking at your information I see something I need to modify for DLC, SINCE RSV there refers actually to require_update number so that change is what prompt you to update, I need to modify it so it skips dlc.
    Either way your issue is that FireEmblem DLCs upgraded and your missing latest DLCs:
    Where it says "RequiredSystemVersion" the correct term is "RequiredUpdate", other thing to correct. Where it says "Version" is the DLC version number. Latest are:

    - Fire Emblem Warriors [Lucina's Bridal Costume] [0100F15003E65001][v0]
    - Fire Emblem Warriors [Fire Emblem Fates DLC Pack] [0100F15003E65002][v131072]
    - Fire Emblem Warriors [Fire Emblem Shadow Dragon DLC Pack] [0100F15003E65003][v65536]
    - Fire Emblem Warriors [Fire Emblem Awakening DLC Pack] [0100F15003E65004][v65536]
    - Fire Emblem Warriors [Japanese-Voice Pack] [0100F15003E65005][v0]

    So the v0 aren't an issue but you're missing the correct version for the other 3. Your dlc are all version - 0.

    I'll correct the DLC thing and release a hotfix.
     
  19. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    961
    Country:
    Spain
    DLC issue when patching fixed with v0.78. Either way you need latest version for the DLCs. The ones I posted before.
     
  20. thaikhoa

    thaikhoa GBAtemp Addict
    Member

    Joined:
    Sep 16, 2008
    Messages:
    2,133
    Country:
    Australia
    Does 0.78 affect "already packed dlcs" XCIs?Thanks.
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - (Game+updates+dlc, NSC_Builder, Nintendo